import dotenv from 'dotenv';
dotenv.config();

import { Request, Response } from 'express';

import knex from '../database/connection';

export default class ItemsController {
  async index(request: Request, response: Response) {
    const items = await knex('items').select('*');

    const serializedItems = items.map(item => {
      return {
        id: item.id,
        title: item.title,
        image_url: `${process.env.IMAGE_URL}/assets/${item.image}`
      };
    })

    return response.json(serializedItems);
  }
}